Package logilab :: Package common :: Module table :: Class TableCellRenderer

[frames] | no frames]

# Class TableCellRenderer

source code

    Defines a simple text renderer

Instance Methods

__init__(self, **properties) keywords should be properties with an associated boolean as value. | source code

render_cell(self, cell_coord, table, table_style) Renders the cell at 'cell_coord' in the table, using table_style... | source code

render_row_cell(self, row_name, table, table_style) Renders the cell for 'row_id' row... | source code

render_col_cell(self, col_name, table, table_style) Renders the cell for 'col_id' row... | source code

Method Details

### __init__(self, **properties)
(Constructor)

source code

    keywords should be properties with an associated boolean as value.
    For example :
        renderer = TableCellRenderer(units = True, alignment = False)
    An unspecified property will have a 'False' value by default.
    Possible properties are :
        alignment, unit

### render_cell(self, cell_coord, table, table_style)

source code

    Renders the cell at 'cell_coord' in the table, using table_style

### render_row_cell(self, row_name, table, table_style)

source code

    Renders the cell for 'row_id' row

### render_col_cell(self, col_name, table, table_style)

source code

    Renders the cell for 'col_id' row